class ActionInsertOsmGuidepostToOsmTrail < Action # iogtot

  # nastaví proměnné podle catid (kde jsou zakódovány) + dělá sanity checky
  def setvars
    _,@kctref,osm_trail_osmid,osm_guidepost_osmids  = catid.split('|') # dekóduj parametry
    ogs = osm_guidepost_osmids.split(',').collect {|og_id| OsmGuidepost.find_by(osmid: og_id) }.compact
    ot = OsmTrail.find_by(osmid: osm_trail_osmid)
    raise "Trasa ot:#{osm_trail_osmid} nebyla nalezena!" if ot.nil?

    @short_action_name = "vložit OGs do OT',"
    @attrs = {
      action: linkify("vlož rozcestníky (#{ogs.collect{|og| "og:#{og.osmid}"}.join(', ') }) do ot:#{osm_trail_osmid} (<a href=\"#{josm_load_objects(ot,*ogs)}\">viz v JOSM</a>)"),
      followup_url: josm_add_osm_guideposts_to_osm_trail(ot, *ogs)
    }
  end

  def perform
    return true # this is BASTL for josm actions. They are pefrormed via followp_url
  end
end
